%define oname ppx_tools
Name:           ocaml-%{oname}
Version:        0.99.3
Release:        %mkrel 1
Summary:        Tools for authors of ppx rewriters and other syntactic tools
License:        MIT
Group:          Development/OCaml
URL:            https://github.com/alainfrisch/ppx_tools
Source0:        http://github.com/diml/ppx_tools/archive/%{oname}_%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
Tools for authors of syntactic tools (such as ppx rewriters).

This package is licensed by LexiFi under the terms of the MIT license.

The tools are installed as a findlib package called 'ppx_tools'.
Executables are thus accessible through the ocamlfind driver 
(e.g.: ocamlfind ppx_tools/dumpast).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ppx_tools-ppx_tools_%{version}

%build
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p %{buildroot}/%{_libdir}/ocaml
make install

%files
%doc README.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/dumpast
%{_libdir}/ocaml/%{oname}/genlifter
%{_libdir}/ocaml/%{oname}/ppx_metaquot
%{_libdir}/ocaml/%{oname}/rewriter

%files devel
%{_libdir}/ocaml/%{oname}/*.cmx


%changelog
* Sun Feb 14 2016 pterjan <pterjan> 0.99.3-1.mga6
+ Revision: 960126
- imported package ocaml-ppx_tools

